PyTorch-Lightning 1.9.3-foss-2022a-CUDA-11.7.0

There is a newer version of PyTorch-Lightning

PyTorch Lightning is the lightweight PyTorch wrapper for ML researchers.

Accessing PyTorch-Lightning 1.9.3-foss-2022a-CUDA-11.7.0

To load the module for PyTorch-Lightning 1.9.3-foss-2022a-CUDA-11.7.0 please use this command on the BEAR systems (BlueBEAR, BEARCloud VMs, and CaStLeS VMs):

module load bear-apps/2021b
module load PyTorch-Lightning/1.9.3-foss-2022a-CUDA-11.7.0

There is a CPU version of this module: PyTorch-Lightning 1.9.3-foss-2022a

BEAR Apps Version

2021b

Extensions

  • aiobotocore 2.3.4
  • aioitertools 0.11.0
  • anyio 3.6.2
  • arrow 1.2.3
  • blessed 1.20.0
  • botocore 1.24.21
  • commonmark 0.9.1
  • croniter 1.3.8
  • fastapi 0.88.0
  • fsspec 2022.7.1
  • inquirer 3.1.2
  • itsdangerous 2.1.2
  • jmespath 1.0.1
  • lightning-utilities-0.6.0.post0
  • lightning_cloud 0.5.30
  • pydantic 1.10.5
  • PyJWT 2.6.0
  • python-editor-1.0.4
  • pytorch-lightning-1.9.3
  • readchar 4.0.3
  • rich 13.0.1
  • s3fs 2022.7.1
  • sniffio 1.3.0
  • starlette 0.22.0
  • starsessions 1.3.0
  • torchmetrics 0.11.1
  • traitlets 5.8.1
  • websocket-client-1.5.1
  • wrapt 1.14.1

More Information

For more information visit the PyTorch-Lightning website.

Dependencies

This version of PyTorch-Lightning has a direct dependency on: aiohttp/3.8.3-GCCcore-11.3.0 BeautifulSoup/4.10.0-GCCcore-11.3.0 CUDA/11.7.0 deepdiff/5.8.1-GCCcore-11.3.0 foss/2022a poetry/1.2.2-GCCcore-11.3.0 Python/3.10.4-GCCcore-11.3.0 PyTorch/1.12.1-foss-2022a-CUDA-11.7.0 tensorboardX/2.5.1-foss-2022a tqdm/4.64.0-GCCcore-11.3.0

Required By

This version of PyTorch-Lightning is a direct dependent of: scvi-tools/0.20.1-foss-2022a-CUDA-11.7.0

Other Versions

These versions of PyTorch-Lightning are available on the BEAR systems (BlueBEAR, BEARCloud VMs, and CaStLeS VMs). These will be retained in accordance with our Applications Support and Retention Policy.

Last modified on 28th February 2023